<bugID>385036<Summary>the bookmarks menu is slow the first time you open it</Summary><Description>the bookmarks menu is slow the first time you open it

spun off from bug #337855.

kenny_tm_leong@yahoo.com writes:

" ... the long hang time that
occurs when you click on 'Bookmarks' in the 'file edit view bookmarks tools
help' menu bar? This has been happening for my firefox with a 500 kb bookmarks
file. The hang time (about 5 to 6 seconds) occurs for the first time I click on
Bookmarks. Then, after this hang time, it doesn't hang again for the next time
I click on Bookmarks."

The reason the second time is fast is Asaf's fix for bug #337855

But the first time is still slow, and this bug tracks making the first time faster.</Description></bugID>